For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create store

Create a new store for your account. A primary sales channel is created alongside the store.

Create store

post

Create a new store for your account.

A primary sales channel is created alongside the store.

Authorizations
AuthorizationstringRequired

API Token authentication

Body
namestring · max: 255OptionalExample: My Store
country_codestring · min: 2 · max: 2Optional

ISO 3166-1 alpha-2 country code.

Example: us
company_emailstringOptionalExample: owner@example.com
company_namestringOptionalExample: My Company
languagestring · min: 2 · max: 2Optional

ISO 639-1 language code.

Example: en
Responses
201

Created response

application/json
post/api/ecommerce/v1/stores
POST /api/ecommerce/v1/stores HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 172

{
  "name": "My Store",
  "country_code": "us",
  "company_email": "owner@example.com",
  "company_name": "My Company",
  "language": "en",
  "sales_channel": {
    "type": "custom",
    "external_id": null
  }
}
{
  "store": {
    "id": "store_01J8Z5F8W9K8M4A7B3C2D1E0FG",
    "name": "My Store",
    "company_name": "My Company",
    "h_panel_id": "1234567",
    "created_at": "2026-01-21T07:35:04.000000Z",
    "default_currency_code": "usd"
  },
  "sales_channel": {
    "id": "scha_01J8Z5F8W9K8M4A7B3C2D1E0FG",
    "type": "custom",
    "external_id": null
  }
}

Last updated

Was this helpful?